UMAD_GET_CAS_NAMES(3)

NAME
umad_get_cas_names - get list of available InfiniBand device names

SYNOPSIS
#include <infiniband/umad.h>

int umad_get_cas_names(char cas[][UMAD_CA_NAME_LEN], int max);

DESCRIPTION
umad_get_cas_names() fills the cas array with up to max local IB devices (CAs) names. The argument cas is a character array with max entries, each with UMAD_CA_NAME_LEN characters.

RETURN VALUE
umad_get_cas_names() returns a non-negative value equal to the number of entries filled, or -1 on errors.

SEE ALSO
umad_get_ca_portguids(3), umad_open_port(3)

AUTHORS

Hal Rosenstock <halr@voltaire.com>

Dotan Barak <dotanb@mellanox.co.il>